state_MS_enc Class Reference

`#include <ht_block_encoding.hpp>`

## Public Member Functions

| state_MS_enc (uint8_t *p)
void | emitMagSgnBits (uint32_t cwd, uint8_t m_n, uint8_t emb_1)
int32_t | termMS ()

## Private Member Functions

void | emit_dword ()

## Private Attributes

int32_t | pos
uint8_t *const | buf
uint64_t | Creg
uint32_t | ctreg
uint8_t | last

## Constructor & Destructor Documentation

## state_MS_enc()

state_MS_enc::state_MS_enc | ( | uint8_t * | p | ) |

inline explicit

## Member Function Documentation

## emit_dword()

void state_MS_enc::emit_dword | ( |  | ) |

private

References buf, Creg, ctreg, last, and pos.

Referenced by emitMagSgnBits().

## emitMagSgnBits()

void state_MS_enc::emitMagSgnBits | ( | uint32_t | cwd,
|  | uint8_t | m_n,
|  | uint8_t | emb_1
| ) |  |

References Creg, ctreg, and emit_dword().

Referenced by htj2k_encode().

## termMS()

int32_t state_MS_enc::termMS | ( |  | ) |

References buf, Creg, ctreg, last, and pos.

Referenced by htj2k_encode().

## Member Data Documentation

## buf

uint8_t* const state_MS_enc::buf

private

Referenced by emit_dword(), and termMS().

## Creg

uint64_t state_MS_enc::Creg

private

Referenced by emit_dword(), emitMagSgnBits(), and termMS().

## ctreg

uint32_t state_MS_enc::ctreg

private

Referenced by emit_dword(), emitMagSgnBits(), and termMS().

## last

uint8_t state_MS_enc::last

private

Referenced by emit_dword(), and termMS().

## pos

int32_t state_MS_enc::pos

private

Referenced by emit_dword(), and termMS().

The documentation for this class was generated from the following files:

- ht_block_encoding.hpp
- ht_block_encoding.cpp